import { Decoder, DecoderError, Result } from '@mojotech/json-type-validation';
import { Otm } from './Otm';
import { Entry } from './Entry';
import { Word } from './Word';
import { Zpdic } from './Zpdic';
import { Translation } from './Translation';
import { Variation } from './Variation';
import { Content } from './Content';
import { Relation } from './Relation';
import { ZpdicOnline } from './ZpdicOnline';
declare class OTMJSON {
    static entryDecoder: Decoder<Entry>;
    static translationDecoder: Decoder<Translation>;
    static contentDecoder: Decoder<Content>;
    static variationDecoder: Decoder<Variation>;
    static relationDecoder: Decoder<Relation>;
    static wordDecoder: Decoder<Word>;
    static zpdicDecoder: Decoder<Zpdic>;
    static zpdicOnlineDecoder: Decoder<ZpdicOnline>;
    static otmDecoder: Decoder<Otm>;
    static parse: (text: string, reviver?: ((this: unknown, key: string, value: unknown) => unknown) | undefined) => Otm;
    static run: (text: string, reviver?: ((this: unknown, key: string, value: unknown) => unknown) | undefined) => Result.Result<Record<string, unknown>, DecoderError>;
}
export default OTMJSON;
